---
title: FSST Module 4
layout: layouts/base_subject.njk
eleventyNavigation:
  key: FSST e4
  parent: FSST
  order: 7
---

This module is for students taking the forth term of the electronics and
computer engineering Kolleg. It is likewise for night school students during
their sixth term.

<h2 id="overview">Course Overview</h2>
<ul>
  <li>Programming in C++
    <ul>
      {# <li><a href="/presentations/cpp/fast_track/">Fast Track to C++ Syntax for C Programmers</a></li> #}
    </ul>
  </li>
</ul>

<h2 id="links">Links</h2>

{% include 'blocks/code_challenge_sites.njk' %}


<h2 id="curriculum">Content of the Curriculum (4th module)</h2>

<ul>
  <li>Software Engineering
    <ul>
      <li>Introduction to an object oriented programming language</li>
      <li>Foundations of object oriented programming</li>
      <li>Solve problems using an object oriented approach</li>
      <li>Graphical User Interfaces</li>
    </ul>
  </li>
  <li>Embedded Programming
    <ul>
      <li>Create, install, test and document software for microcontrollers</li>
      <li>Write modular programs that interact with peripherals</li>
      <li>Event processing (eg. using interrupts)</li>
      <li>Communication (interfaces) between systems</li>
    </ul>
  </li>
  <li>Operating Systems
    <ul>
      <li>Operating system architecture</li>
      <li>Installation and configuration of client and server operating
        systems</li>
    </ul>
  </li>
</ul>
